> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List of job scope templates for EOR contracts

GET https://api.letsdeel.com/rest/eor/job-scopes

Returns predefined and custom job scope templates available for EOR contracts, optionally filtered to templates belonging to a specific team.

 **Token scopes**: `organizations:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-job-scopes/get-job-scopes

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `team` (string, optional) — Team public id

## Response

### 200

Successfull response

- `list of EorJobScopesGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Not Found - Organization not linked to profile or no teams found for the organization

- `error` (enum, optional) — Error message indicating the missing entity
  - Allowed values: `No organization is linked with the profile`, `No teams found for this organization`

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorJobScopesGetResponsesContentApplicationJsonSchemaItems

- `id` (string, optional) — Unique identifier for the job scope
- `team` (EorJobScopesGetResponsesContentApplicationJsonSchemaItemsTeam, optional)
- `title` (string, optional) — Title or name of the job scope
- `content` (string, optional) — Detailed description of the job scope
- `personal` (string, optional, nullable) — Identifier from the team or the profile, whichever is available
- `created_at` (string, optional) — Timestamp of when the job scope was created
- `created_by` (EorJobScopesGetResponsesContentApplicationJsonSchemaItemsCreatedBy, optional)
- `updated_at` (string, optional) — Timestamp of when the job scope was last updated
- `updated_by` (EorJobScopesGetResponsesContentApplicationJsonSchemaItemsUpdatedBy, optional)
- `source_type` (enum, optional) — Source of the job scope data
  - Allowed values: `MANUAL`, `AI`
- `organization_id` (string, optional, nullable) — Identifier of the associated organization, if any

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorJobScopesGetResponsesContentApplicationJsonSchemaItemsTeam

- `id` (string, optional, nullable) — Unique identifier of the associated team, if any
- `name` (string, optional, nullable) — Name of the team associated with the job scope, if any

### EorJobScopesGetResponsesContentApplicationJsonSchemaItemsCreatedBy

- `id` (string, optional, nullable) — Unique identifier of the user who created the job scope
- `name` (string, optional, nullable) — Name of the user who created the job scope

### EorJobScopesGetResponsesContentApplicationJsonSchemaItemsUpdatedBy

- `id` (string, optional, nullable) — Unique identifier of the user who last updated the job scope
- `name` (string, optional, nullable) — Name of the user who last updated the job scope

## Examples

**Response**

```json
[
  {
    "id": "5ad8db95-3791-4e4d-b533-6faed2f5a3d8",
    "team": {
      "id": "string",
      "name": "string"
    },
    "title": "3D Artist",
    "content": "Lorem ipsum odor amet, consectetuer adipiscing elit. Erat sem morbi imperdiet fringilla proin amet nullam at sollicitudin? Sapien quis ad ut curabitur semper ultricies aptent molestie. Nunc condimentum risus aliquet viverra ridiculus erat dolor purus bibendum. Pellentesque neque ullamcorpsaer felis penatibus consectetur nec. Mus duis nisl commodo dui gravida cursus fermentum cras. Mauris habitant vivamus porttitor; a auctor tristique duis. Fames lobortis vulputate vestibulum dis potenti facilisi, aliquam nisl?d",
    "personal": "string",
    "created_at": "2025-01-09T18:37:50.516Z",
    "created_by": {
      "id": "string",
      "name": "John Doe"
    },
    "updated_at": "2025-01-09T18:37:50.516Z",
    "updated_by": {
      "id": "18cd9e12-e9d5-431c-bc51-9211c3e8cabf",
      "name": "John Doe"
    },
    "source_type": "MANUAL",
    "organization_id": "string"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/job-scopes"

querystring = {"team":"team-12345"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/job-scopes?team=team-12345';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/job-scopes?team=team-12345"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/job-scopes?team=team-12345")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/job-scopes?team=team-12345")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/job-scopes?team=team-12345', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/job-scopes?team=team-12345");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/job-scopes?team=team-12345")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```